/**
*	Author:	Elizabeth Labelle
*   ID:			17417
*	Project:	Boids Simulation
*	Date:		December 2010
*
*	Description: The AttackBoidGizmo is an Editor script which can be attached to an
*					AttackBoid. In the UnityEditor, the Gizmo script will draw a blue and green
*					sphere at the AttackBoid's current target position.
*					This is useful for debugging and does not show up in the final build.
*/

using UnityEngine;
using System.Collections;

public class AttackBoidGizmo : MonoBehaviour {

	/**
	*	Draw a sphere at the AttackBoid's current targetPos.
	*/
	void OnDrawGizmos()
	{
		AttackBoid attackBoid = GetComponent<AttackBoid>();
		
		Gizmos.color = Color.blue;
		Gizmos.DrawWireSphere(attackBoid.targetPos, 4.0f);
		Gizmos.color = Color.green;
		Gizmos.DrawWireSphere(attackBoid.targetPos, 1.0f);
	}
}
